com.holonplatform.vaadin.flow.components.builders

## Interface PropertyListingBuilder

- All Superinterfaces:
    ComponentConfigurator<PropertyListingBuilder>, ComponentGroupConfigurator<com.holonplatform.core.property.Property<?>,com.holonplatform.core.property.PropertyBox,Input<?>,ItemListing.EditorComponentGroup<com.holonplatform.core.property.Property<?>,com.holonplatform.core.property.PropertyBox>,PropertyListingBuilder>, FocusableConfigurator<com.vaadin.flow.component.Component,PropertyListingBuilder>, HasDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,PropertyListingBuilder>, HasElementConfigurator<PropertyListingBuilder>, HasEnabledConfigurator<PropertyListingBuilder>, HasItemsConfigurator<com.holonplatform.core.property.PropertyBox,PropertyListingBuilder>, HasPropertySetDatastoreDataProviderConfigurator<PropertyListingBuilder.DatastorePropertyListingBuilder,PropertyListingBuilder>, HasSizeConfigurator<PropertyListingBuilder>, HasStyleConfigurator<PropertyListingBuilder>, HasThemeVariantConfigurator<com.vaadin.flow.component.grid.GridVariant,PropertyListingBuilder>, InputGroupConfigurator<com.holonplatform.core.property.Property<?>,com.holonplatform.core.property.PropertyBox,ItemListing.EditorComponentGroup<com.holonplatform.core.property.Property<?>,com.holonplatform.core.property.PropertyBox>,PropertyListingBuilder>, InputGroupConfigurator.PropertySetInputGroupConfigurator<ItemListing.EditorComponentGroup<com.holonplatform.core.property.Property<?>,com.holonplatform.core.property.PropertyBox>,PropertyListingBuilder>, ItemListingBuilder<com.holonplatform.core.property.PropertyBox,com.holonplatform.core.property.Property<?>,PropertyListing,PropertyListingBuilder>, ItemListingConfigurator<com.holonplatform.core.property.PropertyBox,com.holonplatform.core.property.Property<?>,PropertyListing,PropertyListingBuilder>, PropertyListingConfigurator<PropertyListingBuilder>

      public interface PropertyListingBuilder
      extends PropertyListingConfigurator<PropertyListingBuilder>, HasPropertySetDatastoreDataProviderConfigurator<PropertyListingBuilder.DatastorePropertyListingBuilder,PropertyListingBuilder>, ItemListingBuilder<com.holonplatform.core.property.PropertyBox,com.holonplatform.core.property.Property<?>,PropertyListing,PropertyListingBuilder>

  `PropertyListing` builder.
  Since:
    5.2.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `PropertyListingBuilder.DatastorePropertyListingBuilder` `PropertyListing` builder with `DatastoreDataProviderConfigurator` support.

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemListingConfigurator

      `ItemListingConfigurator.ColumnAlignment, ItemListingConfigurator.EditableItemListingRow<P>, ItemListingConfigurator.EditableItemListingSection<P>, ItemListingConfigurator.ItemListingColumnBuilder<T,P,L extends ItemListing<T,P>,B extends ItemListingConfigurator<T,P,L,B>>, ItemListingConfigurator.ItemListingColumnConfigurator<T,P,C extends ItemListingConfigurator.ItemListingColumnConfigurator<T,P,C>>, ItemListingConfigurator.ItemListingContextMenuBuilder<T,P,L extends ItemListing<T,P>,B extends ItemListingConfigurator<T,P,L,B>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputGroupConfigurator

      `InputGroupConfigurator.BeanInputGroupConfigurator<T,G extends BoundComponentGroup<String,Input<?>>,C extends InputGroupConfigurator.BeanInputGroupConfigurator<T,G,C>>, InputGroupConfigurator.PropertySetInputGroupConfigurator<G extends BoundComponentGroup<com.holonplatform.core.property.Property<?>,Input<?>>,C extends InputGroupConfigurator.PropertySetInputGroupConfigurator<G,C>>`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.PropertyListingConfigurator

      `editor, editor, editor, editor, editorField, editorField, renderAsViewComponent, withColumn, withComponentColumn`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputGroupConfigurator.PropertySetInputGroupConfigurator

      `defaultValue, withValidator, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPropertySetDatastoreDataProviderConfigurator

      `dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDataProviderConfigurator

      `addItem, dataSource, items, items`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemListingBuilder

      `build`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemListingConfigurator

      `alignment, columnReorderingAllowed, componentRenderer, contextMenu, displayAfter, displayAsFirst, displayAsLast, displayBefore, editable, editable, editorBuffered, editorComponent, editorComponent, expand, flexGrow, footer, footer, footer, footer, footerComponent, frozen, frozen, frozenColumns, header, header, header, header, headerComponent, heightByRows, hidden, itemDetailsComponent, itemDetailsRenderer, itemDetailsText, itemDetailsVisibleOnClick, multiSelect, multiSort, notSelectable, pageSize, readOnly, renderer, resizable, resizable, selectionMode, singleSelect, sortable, sortable, sortComparator, sortProvider, sortUsing, sortUsing, styleNameGenerator, styleNameGenerator, valueProvider, verticalScrollingEnabled, visible, visibleColumns, visibleColumns, width, withColumn, withComponentColumn, withEditorCancelListener, withEditorCloseListener, withEditorOpenListener, withEditorSaveListener, withItemClickListener, withItemRefreshListener, withSelectionListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `fullHeight, fullSize, fullWidth, height, height, heightUndefined, maxHeight, maxWidth, minHeight, minWidth, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FocusableConfigurator

      `tabIndex, withBlurListener, withFocusListener, withFocusShortcut, withFocusShortcutKey`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasThemeVariantConfigurator

      `withThemeVariants`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputGroupConfigurator

      `enableRefreshOnValueChange, groupValidationStatusHandler, required, required, required, required, validationStatusHandler, validationStatusHandler, validationStatusLabel, withPostProcessor, withValidator`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentGroupConfigurator

      `usePropertyRendererRegistry, withValueChangeListener`

Copyright © 2019 The Holon Platform. All rights reserved.